@echo off

if EXIST "bin\emailgateway.cmd" goto CONT0
    echo "ERROR: SYNC4J_HOME is not set and cannot be determined."
    echo "       please start this script from the Sync4j Server home ."
    goto END
:CONT0

set SYNC4J_HOME=%~dp0..
set JAVA_OPTS=-Dsync4j.home="%SYNC4J_HOME%"

set SYNC4J_FRAMEWORK=%SYNC4J_HOME%\default\lib\sync4j-framework.jar
if EXIST %SYNC4J_FRAMEWORK% goto CONT1
    echo "cannot find %SYNC4J_FRAMEWORK%"
    goto END
:CONT1

set SYNC4J_SERVER=%SYNC4J_HOME%\default\lib\sync4j-server.jar
if EXIST %SYNC4J_SERVER% goto CONT2
    echo "cannot find %SYNC4J_SERVER%"
    goto END
:CONT2

set EMAILGATE=%SYNC4J_HOME%\lib\emailgateway-1.0.5.jar
if EXIST %EMAILGATE% goto CONT3
    echo "cannot find %EMAILGATE%"
    goto END
:CONT3

set SYNC4J_EXT=%SYNC4J_HOME%\lib\sync4j-ext-1.0.7.jar
if EXIST %EMAILGATE% goto CONT4
    echo "cannot find %SYNC4J_EXT%"
    goto END
:CONT4

set JAVA_JARS="%SYNC4J_FRAMEWORK%;%SYNC4J_SERVER%;%EMAILGATE%;%SYNC4J_EXT%"
set JAVA_EXEC="%JAVA_HOME%\bin\javaw"


rem case %1 in 
rem start)
:L_START
if not "%1" == "start" goto L_STOP
    rem
    rem Run EmailGateWay
    rem
    call %JAVA_EXEC% %JAVA_OPTS% -classpath %JAVA_JARS% sync4j.emailgateway.EmailGateway
    goto L_ESAC
rem stop)
:L_STOP
if not "%1" == "stop" goto L_GRACEFUL
    rem
    rem Shutdown EmailGateWay
    rem
    call %JAVA_EXEC% %JAVA_OPTS% -classpath %JAVA_JARS% sync4j.emailgateway.utils.AdminShutdown
    goto L_ESAC
rem graceful)
:L_GRACEFUL
if not "%1" == "graceful" goto L_LIST
    rem
    rem Graceful Shutdown EmailGateWay
    rem
    call %JAVA_EXEC% %JAVA_OPTS% -classpath %JAVA_JARS% sync4j.emailgateway.utils.AdminGraceful
    goto L_ESAC
rem list)
:L_LIST
if not "%1" == "list" goto L_STAR
    rem
    rem List EmailGateWay
    rem
    call %JAVA_EXEC% %JAVA_OPTS% -classpath %JAVA_JARS% sync4j.emailgateway.utils.AdminList
    goto L_ESAC
rem *)
:L_STAR
    echo "usage: emailgateway [start|stop|grecaful|list]"
    goto L_ESAC
rem esac
:L_ESAC

:END
